Bug 240323 - Review Request: telepathy-salut - Link-local XMPP telepathy connection manager
Review Request: telepathy-salut - Link-local XMPP telepathy connection manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-16 10:42 EDT by Brian Pepple
Modified: 2010-07-21 01:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-28 16:42:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sebastian: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Mock build log (204.08 KB, text/plain)
2007-05-16 10:43 EDT, Brian Pepple
no flags Details
Build log for latest spec file. (226.88 KB, text/plain)
2007-06-26 19:13 EDT, Brian Pepple
no flags Details

  None (edit)
Description Brian Pepple 2007-05-16 10:42:38 EDT
Spec URL: http://www.ceplovi.cz/matej/progs/rpms/telepathy-salut.spec
SRPM URL: http://www.ceplovi.cz/matej/progs/rpms/telepathy-salut-0.1.1-1.src.rpm
Description: telepathy-salut is a Telepathy connection manager for link-local XMPP.  Normally, XMPP does not support direct client-to-client interactions, since it requires authentication with a server.  This package makes it is possible to establish an XMPP-like communications system on a local network using zero-configuration networking.

Note there is a newer version of telepathy-salut, but it depends on telepathy-glib which isn't in Fedora yet since that package has some issues that need to be worked out before submission.
Comment 1 Brian Pepple 2007-05-16 10:43:29 EDT
Created attachment 154828 [details]
Mock build log
Comment 2 John (J5) Palmieri 2007-06-26 18:42:07 EDT
telepathy-glib has been added to fedora.  Upping the priority of this.
Comment 3 Brian Pepple 2007-06-26 19:12:16 EDT
Spec URL: http://spotbox.dyn.dhs.org/telepathy-salut.spec
SRPM URL: http://spotbox.dyn.dhs.org/telepathy-salut-0.1.3-1.fc7.src.rpm

Updated spec for newest version since telepathy-glib is available in Fedora now.
Comment 4 Brian Pepple 2007-06-26 19:13:58 EDT
Created attachment 157965 [details]
Build log for latest spec file.
Comment 5 Jason Tibbitts 2007-06-27 23:26:30 EDT
Not much to say here.  rpmlint just complains about
W: telepathy-salut mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 13)
which is no big deal.

Review:
* source files match upstream:
   14d2db936bcfdb8e441536106bfcce7f2f59e6d0d4f635af22657801345139ab  
   telepathy-salut-0.1.3.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint nas only acceptable complaints.
* final provides and requires are sane:
   telepathy-salut = 0.1.3-1.fc8
  =
   libavahi-client.so.3()(64bit)
   libavahi-common.so.3()(64bit)
   libavahi-glib.so.1()(64bit)
   libcrypto.so.6()(64bit)
   libdbus-1.so.3()(64bit)
   libdbus-glib-1.so.2()(64bit)
   libglib-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libssl.so.6()(64bit)
   libtelepathy-glib.so.0()(64bit)
   libxml2.so.2()(64bit)
   libz.so.1()(64bit)
   telepathy-filesystem
* %check is not present; no test suite upstream.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
  /usr/share/dbus1-service is owned by dbus, a dependency via libdbus
  /usr/share/telepathy-managers is owned by telepathy-filesystem
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 6 Brian Pepple 2007-06-28 10:26:20 EDT
New Package CVS Request
=======================
Package Name:telepathy-salut
Short Description: Link-local XMPP telepathy connection manager
Owners: bdpepple@ameritech.net,johnp@redhat.com
Branches: F-7,OLPC-2
InitialCC: 
Comment 7 Kevin Fenzi 2007-06-28 15:55:20 EDT
cvs done.
Comment 8 Brian Pepple 2007-06-28 16:42:18 EDT
Tibbs, thanks for the review!

-------------------------

Imported & tagged for devel, F-7, and OLPC-2.
Built for devel & F7.  I'll let J5 handle the build for OLPC. :)
Comment 9 Peter Robinson 2010-06-10 15:55:52 EDT
Package Change Request
======================
Package Name: telepathy-salut
New Branches: EL-6
Owners: pbrobinson sdz
Comment 10 Kevin Fenzi 2010-06-11 00:22:36 EDT
Have you checked with Brian here to see if he would like to maintain this in EPEL?
Comment 11 Sebastian Dziallas 2010-07-20 19:26:21 EDT
Package Change Request
======================
Package Name: telepathy-salut
New Branches: EL-6
Owners: pbrobinson sdz bpepple

I emailed Brian and he said that it would probably be better if someone else maintained the EPEL branches, since he's not currently running any systems that use EPEL. If you need additional confirmation, can you comment here please, Brian? For background, we're interested in maintaining these in EPEL since they are dependencies of the Sugar Environment, which we're trying to push into EPEL.
Comment 12 Sebastian Dziallas 2010-07-20 19:28:51 EDT
Argh, I'm being stupid. Setting fedora-cvs instead of fedora-review. Sorry for the noise.
Comment 13 Kevin Fenzi 2010-07-21 01:04:57 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.